Bug 612632 - ttl units not correct
ttl units not correct
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-qpid (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Rafael H. Schloming
MRG Quality Engineering
:
Depends On: 612615
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 12:25 EDT by Rafael H. Schloming
Modified: 2014-12-01 18:15 EST (History)
5 users (show)

See Also:
Fixed In Version: python-qpid-0.7.946106-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 612615
Environment:
Last Closed: 2010-11-15 09:43:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2010-07-08 12:25:59 EDT
+++ This bug was initially created as a clone of Bug #612615 +++

Description of problem:

The Message API defines the ttl field as a float measuring seconds. The protocol uses milliseconds, and the API implementation is not properly converting.

How reproducible:

100%

Steps to Reproduce:
1. Publish a message with the ttl specified in seconds.
2. Check the protocol trace.
  
Actual results:

The value measured in seconds is directly put on the wire.

Expected results:

The value should first be converted to milliseconds.
Comment 1 Gordon Sim 2010-07-08 12:28:32 EDT
This becomes very hard to change after it is released, so I'd like to request this as an exception. The change is very contained and the risk is low.
Comment 2 Rafael H. Schloming 2010-07-09 09:32:33 EDT
I'd like to get this change into the next snapshot (Snapshot 8). I'm ready to respin, just waiting for approval.
Comment 5 releng-rhel@redhat.com 2010-11-15 09:43:20 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.